import { type UserRole } from '@prisma/client';
import { type DomainEvent } from '@modules/shared';

export class UserRegisteredEvent implements DomainEvent {
  readonly eventName = 'user.registered';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly phone: string,
    public readonly role: UserRole,
  ) {}
}
